﻿using Syncfusion.Windows.Controls.Grid;
using System;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApplication4
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            gridControl.Model.Options.ActivateCurrentCellBehavior = GridCellActivateAction.DblClickOnCell;
            gridControl.Model.Options.CopyPasteOption = CopyPaste.PasteText | CopyPaste.CopyText;
            gridControl.Model.RowCount = 30;
            gridControl.Model.ColumnCount = 15;

            gridControl.CurrentCellChanged += GridControl_CurrentCellChanged;

            StringCollection list = new StringCollection {"One", "Two", "Three", "Four", "Five"};

            var combo1 = this.gridControl.Model[1, 2];
            combo1.CellType = "ComboBox";
            combo1.ChoiceList = list;
            combo1.DropDownStyle = GridDropDownStyle.Editable;
        }

        private void GridControl_CurrentCellChanged(object sender, Syncfusion.Windows.ComponentModel.SyncfusionRoutedEventArgs args)
        {
            GridControl g = (GridControl) sender;

            string cellValue = "";
            if (g != null)
            {
                GridCurrentCell cc = g.CurrentCell;
                GridStyleInfo style = g.Model[cc.RowIndex, cc.ColumnIndex];
                switch (style.CellType)
                {
                    case "ComboBox":
                       cellValue = $"Combo Changed[{cc.RowIndex},{cc.ColumnIndex}] NewValue={cc.Renderer.ControlValue} OldValue={g.Model[cc.RowIndex,cc.ColumnIndex].CellValue}";
                        break;
                    default:
                        break;
                }
            }
            Console.WriteLine(cellValue);
        }
    }
}
